module Polygallery
  module ViewHelpers

    def fields_for_polygallery(title, f, options={})
      settings = { label: nil, button: nil }.merge(options)
      raise "Polygallery #{title} not found for #{f.object.class.name}" unless f.object.class.has_polygallery?(title)
      gallery = f.object.send(title)
      render partial: 'polygallery/galleries/fields_for',
             locals: { f: f, gallery: gallery, settings: settings }
    end

  end
end
